function y = ModulatorPhase(carrier,data,PhaseDeviation)
%
% Usage: y = ModulatorPhase(carrier,data,PhaseDeviation)
%
% Purpose = This module simulates an ideal phase modulator.
%
% Input1(carrier) = optical carrier.
% Input2(data) = electrical modulation signal
%
% Output Signal(y) = Modulated optical signal
%
% === Physical Parameters with defaule value === 
% PhaseDeviation = Phase difference between '0' and '1'
%                = pi;% [rad]  (default)
%
%----------------------------------------------------------
% $ Revision: 1.1 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%===============================================================
if nargin<3, PhaseDeviation=pi; end

y = carrier.*exp(1i*PhaseDeviation*data); %
