function y = SineGeneratorElectrical(Amplitude,Frequency,Phase,DCValue)
%
% Usage: y = SineGeneratorElectrical(Amplitude,Frequency,Phase,DCValue)
%
% Purpose = This function generates an electrical sine wave with a constant DC value.
%
% Input = Not required.
% Output(y) = Sine wave (Electrical)
%
% ===== Physical Parameters ======
% Amplitude  [a.u.]  (Peak-to-Peak = 2*Amplitude) [0, inf[ ; 
% Frequency [Hz]    [0, sample_rate/2[
% Phase  [rad]  Initial phase
% DCValue [a.u.]
% 
% (global variables) SampleRate t_range 
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2003/05/07 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%==========================================================================================
global  t_range

y = DCValue + Amplitude*sin(2*pi*Frequency*t_range + Phase);

